GET /whatsapp/numbers

Numbers bought by Postgale for this organization, newest first, with the organization's limit and how many it holds

GET
/whatsapp/numbers

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

status?string

Only this status

Response Body

{numbers, limit, held}

application/json
  1. response
numbers?array<>
limit?integer
held?integer
Example Request
curl -X GET 'https://example.com/api/v1/whatsapp/numbers'
Example Response
{  "numbers": [    {      "id": "string",      "provider": "telnyx",      "phoneNumber": "string",      "countryCode": "string",      "verifiedName": "string",      "status": "purchasing",      "wabaId": "string",      "phoneNumberId": "string",      "accountId": "string",      "sourceAccountId": "string",      "codeMethod": "VOICE",      "codeRequestedAt": "2019-08-24T14:15:22Z",      "codeAttempts": 0,      "priceCents": 0,      "currency": "string",      "activatedAt": "2019-08-24T14:15:22Z",      "lastProductionMessageAt": "2019-08-24T14:15:22Z",      "releaseWarnedAt": "2019-08-24T14:15:22Z",      "releaseAt": "2019-08-24T14:15:22Z",      "releasedAt": "2019-08-24T14:15:22Z",      "error": "string",      "nextActionAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "lastCode": {        "code": "string",        "capturedAt": "string",        "expiresAt": "string"      }    }  ],  "limit": 0,  "held": 0}